Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.core
Class OperatorGroup

    java.lang.Object
      edu.udo.cs.miningmart.m4.core.OperatorGroup

All Implemented Interfaces:
  OperatorGroup, java.io.Serializable

    public class OperatorGroup

extends java.lang.Object
implements OperatorGroup, java.io.Serializable

Version:
  $Id: OperatorGroup.java,v 1.4 2006/09/27 15:00:00 euler Exp $
Author:
  Martin Scholz
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTRIB_OPG_OPID` Name of the operator group's operator foreign key attribute
`static java.lang.String` | `ATTRIB_OPGROUP_ID` Name of the operator group primary key attribute
`static java.lang.String` | `ATTRIB_OPGROUP_NAME` Name of the operator group's name attribute
`static java.lang.String` | `ATTRIB_OPGROUP_PARENT` Name of the operator group's parent group
`static java.lang.String` | `M4_TABLE_NAME` Name of the operator group m4 table

Constructor Summary
`OperatorGroup(DB db)`

Method Summary
`java.util.Collection` | `getChildGroups(java.lang.Long id)`
`java.lang.String` | `getGroupName(java.lang.Long id)`
`Operator` | `getOperator(java.lang.Long id)`
`java.lang.Long` | `getParentGroup(java.lang.Long id)`
`java.util.Collection` | `getTopLevelOperatorGroups()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### M4_TABLE_NAME

    public static final java.lang.String M4_TABLE_NAME

  Name of the operator group m4 table

  See Also:
    Constant Field Values

### ATTRIB_OPGROUP_ID

    public static final java.lang.String ATTRIB_OPGROUP_ID

  Name of the operator group primary key attribute

  See Also:
    Constant Field Values

### ATTRIB_OPGROUP_PARENT

    public static final java.lang.String ATTRIB_OPGROUP_PARENT

  Name of the operator group's parent group

  See Also:
    Constant Field Values

### ATTRIB_OPG_OPID

    public static final java.lang.String ATTRIB_OPG_OPID

  Name of the operator group's operator foreign key attribute

  See Also:
    Constant Field Values

### ATTRIB_OPGROUP_NAME

    public static final java.lang.String ATTRIB_OPGROUP_NAME

  Name of the operator group's name attribute

  See Also:
    Constant Field Values

Constructor Detail

### OperatorGroup

    public OperatorGroup(DB db)
                  throws M4Exception,
                         DbConnectionClosed

Throws:
  `M4Exception`
  `DbConnectionClosed`

Method Detail

### getTopLevelOperatorGroups

    public java.util.Collection getTopLevelOperatorGroups()

  Specified by:
    `getTopLevelOperatorGroups` in interface `OperatorGroup`
  Returns:
    a `Collection` of IDs of type `Long` representing operator groups. This IDs can be used to query further information about the group using the methods of this class.

### getGroupName

    public java.lang.String getGroupName(java.lang.Long id)

  Specified by:
    `getGroupName` in interface `OperatorGroup`
  Parameters:
    `id` - the ID of an operator group
  Returns:
    the name of the operator group with the specified ID

### getOperator

    public Operator getOperator(java.lang.Long id)
                         throws M4Exception

  Specified by:
    `getOperator` in interface `OperatorGroup`
  Parameters:
    `id` - the ID of an operator group
  Returns:
    an `Operator` if the ID refers to a single operator entry, rather than to a group.
  Throws:
    `M4Exception`

### getParentGroup

    public java.lang.Long getParentGroup(java.lang.Long id)

  Specified by:
    `getParentGroup` in interface `OperatorGroup`
  Parameters:
    `id` - the ID of an operator group
  Returns:
    the ID of the parent operator group or `null`, if the ID belongs to a top-level operator group.

### getChildGroups

    public java.util.Collection getChildGroups(java.lang.Long id)

  Specified by:
    `getChildGroups` in interface `OperatorGroup`
  Parameters:
    `id` - the ID of an operator group
  Returns:
    a `Collection` of the ID of all child operator groups (or operator instances) referred to with their `Long` IDs. If the specified id is unknown or does not contain sub-elements, then `null` is returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005